Page MenuHomePhabricator

mw:Manual:Special pages setup file out of date
Closed, ResolvedPublic

Event Timeline

Reedy created this task.Oct 2 2016, 2:38 PM
Restricted Application added a project: Documentation. · View Herald TranscriptOct 2 2016, 2:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Reedy triaged this task as Low priority.Oct 2 2016, 2:40 PM
Reedy added a project: good first bug.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 2 2016, 2:40 PM
Harjotsingh added a subscriber: Harjotsingh.EditedDec 8 2016, 1:35 PM

@Reedy
I would like to work on this issue.
Does the task only requires to create extension.json from the current extension.php file ?
Will there be no changes in execution or localization files ?

@Harjotsingh , are you still working on this issue? I can help out too or continue where you leave off.

Started working on this one here: https://www.mediawiki.org/wiki/User:Xephyr826/Manual:Special_pages#Basic_special_page_template

@Reedy , can you or someone else help me review?

So far, I updated the sections Basic special page template, The setup file, The special page file, and The localisation file.

It seems other sections on the page reference the old special page set-up so I'll try to take those out or update them.

Xephyr826 added a comment.EditedJan 18 2017, 6:55 AM

@Reedy

I'm just about done with a first draft, but I'm having trouble with the Alias section.

https://www.mediawiki.org/wiki/User:Xephyr826/Manual:Special_pages#The_aliases_file

I can get English aliases to work, but not in any another language. This code doesn't seem to work anymore:

/** Deutsch
 * @author <your username>
 */
$specialPageAliases['de'] = array(
	'MyExtension' => array( 'MeineErweiterung', 'Meine Erweiterung' ),
);

What's the right way to add Special Page Aliases for languages other than English?

EDIT: Someone helped me figure it out.

The code does work, I didn't know it only took effect if you changed the language in LocalSettings.php.

With that, this page is ready for review:

https://www.mediawiki.org/wiki/User:Xephyr826/Manual:Special_pages

Xephyr826 closed this task as Resolved.Feb 12 2017, 9:30 PM